import groovy.transform.*

class Worker {
  def work() { println 'working...' }
  def writeReport() { println 'report...' }
  def takeVacation() { println 'code at the beach' }
}

class Analyst {
  def work() { println 'Analyst working...' }
  def analyze() { println 'analyzing...' }
  def takeVacation() { println 'think over it...' }
}

class Manager {
  @Delegate Worker worker = new Worker()
  @Delegate Analyst analyst = new Analyst()

  def takeVacation() { println 'yay' }
}

def bob = new Manager()
bob.work()
bob.writeReport()
bob.analyze()
bob.takeVacation()