import groovy.transform.*

//Try removing the comment below to make lazy=true in effect
@Singleton/*(lazy=true)*/
class TheSingleton {
  private TheSingleton() { println 'created...' }
  
  def hello() { println 'hello' }
}

println "Using ${TheSingleton.class.getName()}"

println "Getting instance"
def instance = TheSingleton.instance
instance.hello()
instance.hello()

def instance2 = TheSingleton.instance
instance2.hello()